## org.apache.poi.xslf.usermodel
Enum LineDash

    java.lang.Object
      java.lang.Enum<LineDash>
          org.apache.poi.xslf.usermodel.LineDash

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LineDash>

    public enum LineDash

extends java.lang.Enum<LineDash>

Author:
  Yegor Kozlov

Enum Constant Summary
`DASH`
`DASH_DOT`
`DOT`
`LG_DASH`
`LG_DASH_DOT`
`LG_DASH_DOT_DOT`
`SOLID`
`SYS_DASH`
`SYS_DASH_DOT`
`SYS_DASH_DOT_DOT`
`SYS_DOT`

Method Summary
`static LineDash` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LineDash[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SOLID

    public static final LineDash SOLID

### DOT

    public static final LineDash DOT

### DASH

    public static final LineDash DASH

### LG_DASH

    public static final LineDash LG_DASH

### DASH_DOT

    public static final LineDash DASH_DOT

### LG_DASH_DOT

    public static final LineDash LG_DASH_DOT

### LG_DASH_DOT_DOT

    public static final LineDash LG_DASH_DOT_DOT

### SYS_DASH

    public static final LineDash SYS_DASH

### SYS_DOT

    public static final LineDash SYS_DOT

### SYS_DASH_DOT

    public static final LineDash SYS_DASH_DOT

### SYS_DASH_DOT_DOT

    public static final LineDash SYS_DASH_DOT_DOT

Method Detail

### values

    public static LineDash[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LineDash c : LineDash.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LineDash valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.